.wpt-page {

  .postbox {
    margin-top:1em;
    h2 {
      display: flex;
      align-items: center;
      justify-content: space-between;
      font-size: 14px;
      padding: 0 12px;
      margin: 0;
      height: 47px;
      line-height: 1.4;
      border-bottom: 1px solid #eee;
      color: $dark;
    }
    select {
      line-height: 30px;
      height: 30px;
      margin-top: 2px;
    }
  }

}

.wpt-table-footer {
  padding: 10px;
  background: #F5F5F5;
  border-top: 1px solid #ddd;
  text-align: right;
}

.wpt-settings-table {

  .update-core-php & {
    background-color: $white;
  }

  width: 100%;
  border-collapse: collapse;
  table-layout: auto;

  &.wpt-modal-table .wpt-license-row {
    border-left: none;
  }

  .wpt-license-row {
    height: 47px;
    border: 1px solid #e5e5e5;
    border-right: none;

    &:first-of-type {
      border-top: none;
    }

    &.error {
      border-left: 5px solid $error;
    }

  }

  thead tr {
    height: 47px;
    border-bottom: 1px solid #e5e5e5;
  }

  th {
    padding: 1em 0;
    text-align: left;
    vertical-align: middle;

    &:first-of-type {
      padding-left: 1em;
    }

    &:last-of-type {
      padding-right: 1em;
      text-align: right;
    }

    .update-core-php & {
      padding-left: 0;

      &:first-of-type {
        padding: 1em;
      }
    }

  }

  .wpt-license-row {

    &.teaser {
      label:after {
        content: " (soon)";
        padding-left: 1em;
        font-style: oblique;
        font-size: .8rem;
      }
    }

    td {
      text-align: left;
      vertical-align: middle;
      white-space: nowrap;

      &:first-of-type {
        width: 22%;
        padding-left: 12px;

        .update-core-php & {
          width: auto;
        }
      }

      &.column-actions {
        text-align: right;
        padding-left: 0;
        padding-right: 12px;
      }

      label {
        font-weight: bold;
        line-height: 1.5;
        display: inline-block;
        padding: 4px 8px;
        vertical-align: middle;
        transition: all .25s ease-out;
        border: 1px solid transparent;
        border-radius: 0;
        outline: 0;
        background: 0 0;

        &:hover,
        &:focus {
          cursor: pointer;
          border-color: #eee;
          background: #fafafa;t: 0;
          & + .dashicons {
            display: inline-block;
          }
        }

        & + .dashicons {
          line-height: 1.5;
          display: none;
          margin-top: 1px;
          margin-bottom: -1px;
        }

      }

    }
  }

  input[type="password"] {
    padding: 4px 5px 5px;
  }

}

.wpt-license-table {

  .column-action {
    text-align: right;
    padding-right: 1em;
  }

  .column-ajax {
    width:20px;

    &.is-success {
      background-color: $success;
      color: $white;
    }
    &.is-error {
      background-color: $error;
      color: $white;
    }
    &.is-info {
      background-color: $info;
      color: $white;
    }
  }

}

.wpt-modal-table {
  input[type="text"],
  input[type="url"],
  input[type="password"],
  select,
  textarea {
    width: 200px;
  }
}

.wpt-repo-status {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.wpt-translation-version {
  line-height: 1.7;
}
